Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Result::YAML

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Result::YAML

- NAME
- VERSION
- DESCRIPTION
- OVERRIDDEN METHODS
  - Instance Methods

# NAME

TAP::Parser::Result::YAML - YAML result token.

# VERSION

Version 3.23

# DESCRIPTION

This is a subclass of TAP::Parser::Result. A token of this class will be returned if a YAML block is encountered.

     1..1 ok 1 - woo hooo!

`1..1` is the plan. Gotta have a plan.

# OVERRIDDEN METHODS

Mainly listed here to shut up the pitiful screams of the pod coverage tests. They keep me awake at night.

- `as_string`
- `raw`

## Instance Methods

### `data`

      if ( $result->is_yaml ) {     print $result->data;  }

Return the parsed YAML data for this result

Page index

- NAME
- VERSION
- DESCRIPTION
- OVERRIDDEN METHODS
  - Instance Methods